﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace HLWebOKBQueryPlugin.OKBQueryService
{
    /// <summary>
    /// Extend the Service class Filter with an
    /// unique id.
    /// </summary>
    public partial class Filter
    {

        private Guid? _id = null;

        public Guid Id
        {
            get
            {
                if (_id == null)
                {
                    _id = Guid.NewGuid();
                }
                return (Guid)_id;
            }
            set
            {
                this._id = value;
            }
        }
    }
}